<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>

	<!--<xsl:param name="content"/>-->
	<xsl:param name="template_file"/>
	<xsl:param name="generatedDate" select="n"/>
	<xsl:param name="nav_data"/>
	<xsl:param name="nav_style"/>
	<xsl:param name="page_id" select="page/@id"/>

	<!-- Include custom controls here -->
	<xsl:include href="build/header.xslt"/>
	<xsl:include href="build/footer.xslt"/>
	<xsl:include href="build/infobox.xslt"/>
	<xsl:include href="build/articles.xslt"/>
 	<xsl:include href="build/article_list.xslt"/>
  <xsl:include href="build/nav.xslt"/>
  <xsl:include href="build/breadcrumb.xslt"/>
   	
   	<!-- Create content key -->
   	<xsl:key name="pages" match="page/content" use="@id"/>

	<!-- Content / layout stuff -->
	<xsl:template match="page">
		<xsl:apply-templates select="document($template_file)"/>
	</xsl:template>
	
	<xsl:template match="contentHolder">
		<xsl:choose>
			<xsl:when test="key('pages', @contentId)/child::*">
				<xsl:apply-templates select="key('pages', @contentId)/*"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="key('pages', @contentId)/node()"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="html">
		<xsl:text disable-output-escaping="yes">
			<![CDATA[<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">]]>
		</xsl:text>
		<xsl:copy>
			<xsl:apply-templates />
		</xsl:copy>
	</xsl:template>

	<!-- Copy non-custom nodes -->
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>